Subject: Re: [RFC PATCH 2/6] leds: permit to declare supported offload triggers

From: Andrew Lunn <[email-masked]>
Date: Mon, 8 Nov 2021 14:48:29 +0100

On Sun, Nov 07, 2021 at 11:32:56PM +0100, Ansuel Smith wrote:
> On Sun, Nov 07, 2021 at 11:06:24PM +0100, Marek Behún wrote:
> > On Sun,  7 Nov 2021 18:57:14 +0100
> > Ansuel Smith <[email-masked]> wrote:
> > 
> > > With LEDs that can be offload driven, permit to declare supported triggers
> > > in the dts and add them to the cled struct to be used by the related
> > > offload trigger. This is particurally useful for phy that have support
> > > for HW blinking on tx/rx traffic or based on the speed link.
> > > 
> > > Signed-off-by: Ansuel Smith <[email-masked]>
> > 
> > NAK. The device-tree shouldn't define this, only the LED's function as
> > designated by the manufacturer of the device.
> > 
> > Marek
> 
> Sure I will add a way to ask the led driver if the trigger is supported
> and report it.

Yes, you need some way for the PHY/MAC driver to enumerate what it can
do.

I've not looked at v2 yet...

	Andrew